Get Ref
curl --request GET \
--url https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"code": "<string>",
"display_code": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"item_count": 123,
"line_count": 123,
"subtotal": "<string>",
"currency": "<string>",
"display_currency": "<string>",
"display_rate": "<string>",
"locale": "<string>",
"priced_for_account": true,
"opened_at": "2023-11-07T05:31:56Z",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"converted_at": "2023-11-07T05:31:56Z",
"converted_via": "<string>",
"preview": [
"<string>"
],
"lines": [
{
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"product_name": "<string>",
"variant_label": "<string>",
"attributes": {},
"qty": 123,
"unit_price_then": "<string>",
"line_total_then": "<string>",
"unit_price_now": "<string>",
"line_total_now": "<string>",
"price_changed": true,
"availability": {
"status": "<string>",
"stock": 123,
"track_inventory": true,
"allow_backorder": true
}
}
],
"subtotal_now": "<string>",
"total_changed": true,
"all_available": true,
"order_trashed": false
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Integrations & modules
Get Ref
La fotografia con i prezzi e la disponibilità di oggi. code accetta
W-7F3K, 7F3K, minuscole. La prima apertura scrive opened. 404
whatsapp.ref_not_found.
GET
/
api
/
v1
/
admin
/
whatsapp
/
refs
/
{code}
Get Ref
curl --request GET \
--url https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/whatsapp/refs/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"code": "<string>",
"display_code": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"item_count": 123,
"line_count": 123,
"subtotal": "<string>",
"currency": "<string>",
"display_currency": "<string>",
"display_rate": "<string>",
"locale": "<string>",
"priced_for_account": true,
"opened_at": "2023-11-07T05:31:56Z",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"converted_at": "2023-11-07T05:31:56Z",
"converted_via": "<string>",
"preview": [
"<string>"
],
"lines": [
{
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"product_name": "<string>",
"variant_label": "<string>",
"attributes": {},
"qty": 123,
"unit_price_then": "<string>",
"line_total_then": "<string>",
"unit_price_now": "<string>",
"line_total_now": "<string>",
"price_changed": true,
"availability": {
"status": "<string>",
"stock": 123,
"track_inventory": true,
"allow_backorder": true
}
}
],
"subtotal_now": "<string>",
"total_changed": true,
"all_available": true,
"order_trashed": false
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}